Update server
PATCH
/system/servers/{ID}
const url = 'https://example.com/api/v1/system/servers/1';const options = { method: 'PATCH', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"hostname":"example","extname":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/system/servers/1 \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "hostname": "example", "extname": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID
required
integer
ID of the object
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Body
Section titled “Request Body”Media typeapplication/json
object
ID
Unique ID of the object
integer
hostname
Internal hostname of the server
string
extname
External address of the server
string
users
Number of users on the server
integer
domains
Number of domains on the server
integer
Examplegenerated
{ "hostname": "example", "extname": "example"}Responses
Section titled “Responses”Server updated
Media typeapplication/json
object
ID
Unique ID of the object
integer
hostname
Internal hostname of the server
string
extname
External address of the server
string
users
Number of users on the server
integer
domains
Number of domains on the server
integer
Examplegenerated
{ "hostname": "example", "extname": "example"}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}